Package ru.bitel.bgbilling.modules.qiwi.server.bean

# Class QiwiRest

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.modules.qiwi.server.bean.AbstractQiwiProtocol
ru.bitel.bgbilling.modules.qiwi.server.bean.QiwiRest

public class QiwiRest extends AbstractQiwiProtocol

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.bgbilling.modules.qiwi.server.bean.AbstractQiwiProtocol

  `AbstractQiwiProtocol.QiwiResultCode`

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.modules.qiwi.server.bean.AbstractQiwiProtocol

  `connection, contractManager, moduleId, moduleSetup`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QiwiRest(Connection con, int mid, ModuleSetup moduleSetup)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `beginTransaction(int contractId, String phone, BigDecimal sum, String successUrl, String failUrl)`
  Метод выставления счета абоненту из ЛК биллинга.
  `void`
  `cancelTransaction(Transaction transaction)`
  Отмена НЕОПЛАЧЕННОГО выставленного счета.
  `void`
  `checkRefundStatus(Transaction transaction)`
  `void`
  `checkTransaction(Transaction transaction)`
  Проверка текущего состояния транзакции на сервере Qiwi.
  `void`
  `refundTransaction(Transaction transaction)`
  Возврат средств (полный или частичный) по оплаченному счету.

  ### Methods inherited from class ru.bitel.bgbilling.modules.qiwi.server.bean.AbstractQiwiProtocol

  `addPayment`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### QiwiRest

    public QiwiRest(Connection con, int mid, ModuleSetup moduleSetup)

- ## Method Details

  - ### beginTransaction

    public String beginTransaction(int contractId, String phone, BigDecimal sum, String successUrl, String failUrl) throws ru.bitel.bgbilling.common.BGException
    Description copied from class: `AbstractQiwiProtocol`
    Метод выставления счета абоненту из ЛК биллинга. Метод возвращет url, на который должен быть перенаправлен абонент после выставления счета.
    Specified by:
      `beginTransaction` in class `AbstractQiwiProtocol`
    Parameters:
      `contractId` - код договора
      `phone` - номер телефона абонента в формате 7xxxxxxxxxx
      `sum` - сумма счета
      `successUrl` - url, куда будет перенаправлен абонент после успешной оплаты. Настраивается в конфигурации модуля, либо приходит в запросе от нового ЛК.
      `failUrl` - url, куда будет перенаправлен абонент в случае неудачной оплаты. Настраивается в конфигурации модуля, либо приходит в запросе от нового ЛК.
    Returns:
      url, на который будет перенаправлен абонент после успешного выставления счета
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### checkTransaction

    public void checkTransaction(Transaction transaction) throws ru.bitel.bgbilling.common.BGException
    Description copied from class: `AbstractQiwiProtocol`
    Проверка текущего состояния транзакции на сервере Qiwi.
    Specified by:
      `checkTransaction` in class `AbstractQiwiProtocol`
    Parameters:
      `transaction` - экземпляр транзакции в бд биллинга
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### cancelTransaction

    public void cancelTransaction(Transaction transaction) throws ru.bitel.bgbilling.common.BGException
    Description copied from class: `AbstractQiwiProtocol`
    Отмена НЕОПЛАЧЕННОГО выставленного счета.
    Specified by:
      `cancelTransaction` in class `AbstractQiwiProtocol`
    Parameters:
      `transaction` - транзакция, которую хотим отменить.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### refundTransaction

    public void refundTransaction(Transaction transaction) throws ru.bitel.bgbilling.common.BGException
    Description copied from class: `AbstractQiwiProtocol`
    Возврат средств (полный или частичный) по оплаченному счету.
    Specified by:
      `refundTransaction` in class `AbstractQiwiProtocol`
    Parameters:
      `transaction` - транзакция, по которой хотим вернуть средства.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### checkRefundStatus

    public void checkRefundStatus(Transaction transaction) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `checkRefundStatus` in class `AbstractQiwiProtocol`
    Throws:
      `ru.bitel.bgbilling.common.BGException`